<?php

namespace FiloBlu\Popup\Block\Adminhtml\Popup;

use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

/**
 * Class SaveButton
 * @package Magento\Customer\Block\Adminhtml\Save
 */
class SaveAndContinueButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @return array
     */
    public function getButtonData()
    {
        return [
            'label' => __('Save and Continue'),
            'class' => 'save and continue data',
            'data_attribute' => [
               'mage-init' => ['button' => ['event' => 'saveandcontinue']],
               'form-role' => 'save_and_continue',
             ],
            'sort_order' => 90,
        ];
    }
}
