<?php

namespace FiloBlu\Popup\Setup;

use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;


class _UpgradeData implements UpgradeDataInterface
{
  public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context)
  {
    if (version_compare($context->getVersion(), '1.0.1') < 0)
    {
    $setup->startSetup();
    $tableName=$setup->getTable('filoblu_popup');
    $data=[
            ['title' => 'Scarpe Adidas',
            'description' => 'Scarpe Adidas Numero 43',
            'image' => 'scarpe_adidas.jpg'],

            ['title' => 'Bermuda Adidas',
            'description' => 'Bermuda Adidas2 Taglia M',
            'image' => 'bermuda_adidas.jpg'],

            ['title' => 'Maglietta Adidas',
            'description' => 'Maglietta Adidas3 Taglia L',
            'image' => 'maglietta_adidas.jpg'],

            ['title' => 'Giacca HM',
            'description' => 'Giacca HM Taglia M',
            'image' => 'Giacca_hm.jpg']

         ];
      $setup
      ->getConnection()
      ->insertMultiple($tableName,$data);
      $setup->endSetup();
    }
  }
}
